<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-24
 * Time: 14:40
 */

namespace App\Http\Controllers\V1;


use App\Repositories\FeedRepositories;
use App\Transformers\FeedTransformer;
use Illuminate\Support\Facades\Validator;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use League\Fractal\Resource\Collection;
use Illuminate\Http\Request;

class FeedController extends Controller {
    public function __construct(FeedRepositories $feedRepositories) {
        $this->feedRepositories = $feedRepositories;
    }
    //关注feed流
    public function index(Request $request){
        $data = $request->all();
        $list = $this->feedRepositories->myFeed($data);
        $fractal = new Manager();
        $resource = new Collection($list, new FeedTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($list));
        $data = $fractal->createData($resource)->toArray();
        return jsonSuccess($data);
    }
}